Subject: Re: iptables versioning feature causes ABI breakage

From: Pablo Neira <[email-masked]>
Date: Thu, 24 Mar 2005 22:17:05 +0100

Jamal,

Jamal Hadi Salim wrote:
> Folks,
> 
> Could whoever that made the versioning changes in iptables please
> contact me?

I was also involved in that change together with Rusty around january. 
It's a new infrastructure to extend matches/targets without breaking 
backward compatibility with previous releases of target/matches/iptables.

I must confess that I didn't have a look at your ipt_action stuff before 
, now I did. As Patrick pointed out, we'll keep in mind your ipt thing 
in future.

Your patch for tc to fix the problem looks fine. BTW, you can now use 
extended MARK features like --and-mark and --or-mark ;->

--
Pablo